Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | List of all members
faiss::gpu::CudaEvent Class Reference

## Public Member Functions
| CudaEvent (cudaStream_t stream)
| Creates an event and records it in this stream.
| CudaEvent (const CudaEvent &event)=delete
| CudaEvent (CudaEvent &&event) noexcept
cudaEvent_t | get ()
void | streamWaitOnEvent (cudaStream_t stream)
| Wait on this event in this stream.
void | cpuWaitOnEvent ()
| Have the CPU wait for the completion of this event.
CudaEvent & | operator= (CudaEvent &&event) noexcept
CudaEvent & | operator= (CudaEvent &event)=delete

## Detailed Description

Definition at line 86 of file DeviceUtils.h.

The documentation for this class was generated from the following files:

- /tmp/faiss/gpu/utils/DeviceUtils.h
- /tmp/faiss/gpu/utils/DeviceUtils.cpp